/*
 * Copyright 2009, Google Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *     * Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above
 * copyright notice, this list of conditions and the following disclaimer
 * in the documentation and/or other materials provided with the
 * distribution.
 *     * Neither the name of Google Inc. nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * @fileoverview  This file defines one level that our little game can run
 * inside of. This file was auto-generated by io.rb from a SketchUp model.
 */
if (levels == undefined) {
  var levels = [];
}

levels.push({
  name: 'Chapter One',
  colladaFile: 'map1.o3dtgz',

  platforms: [
    {'left': {'mapX': 0},
        'z': 0.0, 'rotZ': 0.0,
    'right': {'adjacentID': 1, 'mapX': 99.9999999999998}},
    {'left': {'adjacentID': 0, 'mapX': 99.9999999999998},
        'z': 0.0, 'rotZ': 0.785398163397443,
    'right': {'adjacentID': 2, 'mapX': 399.999999999999}},
    {'left': {'adjacentID': 1, 'mapX': 399.999999999999},
        'z': 0.0, 'rotZ': 1.5707963267949,
    'right': {'adjacentID': 3, 'mapX': 561.617965644037}},
    {'left': {'adjacentID': 2, 'mapX': 561.617965644037},
        'z': 0.0, 'rotZ': 0.0,
    'right': {'adjacentID': 4, 'mapX': 812.03592686014}},
    {'left': {'adjacentID': 3, 'mapX': 812.03592686014},
        'z': 0.0, 'rotZ': 5.49970875351729,
    'right': {'adjacentID': 5, 'mapX': 922.215597985646}},
    {'left': {'adjacentID': 4, 'mapX': 922.215597985646},
        'z': 0.0, 'rotZ': 4.716232199855,
    'right': {'adjacentID': 6, 'mapX': 1105.95801639536}},
    {'left': {'adjacentID': 5, 'mapX': 1105.95801639536},
        'z': 0.0, 'rotZ': 4.04298946008257,
    'right': {'adjacentID': 7, 'mapX': 1208.29233370876}},
    {'left': {'adjacentID': 6, 'mapX': 1208.29233370876},
        'z': 0.0, 'rotZ': 4.71238898038469,
    'right': {'adjacentID': 8, 'mapX': 1367.79233370876}},
    {'left': {'adjacentID': 7, 'mapX': 1367.79233370876},
        'z': 0.0, 'rotZ': 0.0,
    'right': {'mapX': 1748.54233370876}},
    {'left': {'mapX': 672.461706167729},
        'z': 133.25, 'parentID': 3, 'rotZ': 0.0,
    'right': {'mapX': 725.904505439235}},
    {'left': {'mapX': 70.3557338817432},
        'z': 58.5, 'parentID': 0, 'rotZ': 0.0,
    'right': {'adjacentID': 11, 'mapX': 99.9999999999998}},
    {'left': {'adjacentID': 10, 'mapX': 99.9999999999998},
        'z': 58.5, 'parentID': 1, 'rotZ': 0.785398163397443,
    'right': {'mapX': 177.235601196938}},
    {'left': {'obstacleHeight': 32.0, 'mapX': 832.589734479398},
        'z': 65.5, 'parentID': 4, 'rotZ': 5.49970875351729,
    'right': {'adjacentID': 13, 'mapX': 922.215597985645}},
    {'left': {'adjacentID': 12, 'mapX': 922.215597985645},
        'z': 65.5, 'parentID': 5, 'rotZ': 4.716232199855,
    'right': {'mapX': 1025.68972725654}},
    {'left': {'mapX': 1176.12562519989},
        'z': 133.25, 'parentID': 6, 'rotZ': 4.04298946008257,
    'right': {'adjacentID': 15, 'mapX': 1208.29233370876}},
    {'left': {'adjacentID': 14, 'mapX': 1208.29233370876},
        'z': 133.25, 'parentID': 7, 'rotZ': 4.71238898038469,
    'right': {'adjacentID': 16, 'mapX': 1367.79233370876}},
    {'left': {'adjacentID': 15, 'mapX': 1367.79233370876},
        'z': 133.25, 'parentID': 8, 'rotZ': 0.0,
    'right': {'mapX': 1748.54233370876}},
    {'left': {'obstacleHeight': 13.75, 'mapX': -13.0628855147159},
        'z': 69.5, 'parentID': 0, 'rotZ': 0.0,
    'right': {'mapX': 31.2499999999998}},
    {'left': {'mapX': 812.03592686014},
        'z': 47.0, 'parentID': 4, 'rotZ': 5.49970875351729,
    'right': {'mapX': 922.215597985646}},
    {'left': {'mapX': 177.235601196938},
        'z': 75.5, 'parentID': 1, 'rotZ': 0.785398163397443,
    'right': {'obstacleHeight': 28.25, 'mapX': 254.471202393877}},
    {'left': {'mapX': 757.192725889269},
        'z': 97.5, 'parentID': 3, 'rotZ': 0.0,
    'right': {'adjacentID': 21, 'mapX': 812.03592686014}},
    {'left': {'adjacentID': 20, 'mapX': 812.03592686014},
        'z': 97.5, 'parentID': 4, 'rotZ': 5.49970875351729,
    'right': {'mapX': 832.589734479398}},
    {'left': {'mapX': 254.471202393877},
        'z': 103.75, 'parentID': 1, 'rotZ': 0.785398163397442,
    'right': {'mapX': 331.706803590815}},
    {'left': {'mapX': 1091.9536790532},
        'z': 60.5, 'parentID': 5, 'rotZ': 4.71623219985501,
    'right': {'adjacentID': 24, 'mapX': 1105.95801639536}},
    {'left': {'adjacentID': 23, 'mapX': 1105.95801639536},
        'z': 60.5, 'parentID': 6, 'rotZ': 4.04298946008257,
    'right': {'obstacleHeight': 31.5, 'mapX': 1143.95891669101}},
    {'left': {'mapX': 399.999999999999},
        'z': 133.25, 'parentID': 2, 'rotZ': 1.5707963267949,
    'right': {'adjacentID': 26, 'mapX': 561.617965644037}},
    {'left': {'adjacentID': 25, 'mapX': 561.617965644037},
        'z': 133.25, 'parentID': 3, 'rotZ': 0.0,
    'right': {'mapX': 621.461706167729}},
    {'left': {'obstacleHeight': 74.25, 'mapX': 621.461706167729},
        'z': 59.0, 'parentID': 3, 'rotZ': 0.0,
    'right': {'obstacleHeight': 74.25, 'mapX': 672.461706167729}},
    {'left': {'mapX': 1143.95891669101},
        'z': 92.0, 'parentID': 6, 'rotZ': 4.04298946008257,
    'right': {'mapX': 1176.12562519989}},
    {'left': {'obstacleHeight': 21.25, 'mapX': 331.706803590815},
        'z': 82.5, 'parentID': 1, 'rotZ': 0.785398163397442,
    'right': {'mapX': 384.382894323691}}],
  actors: [
    new Avatar({
      name: 'Avatar1', colladaID: 'Avatar1',
      x: 8.25548871083476, y: -10.107499431384, z: 70.0761619683742,
      mapX: 8.25548871083476, rotZ: 0.0628318530722379, platformID: 17}),
    new HorizontalPad({
      name: 'HorizontalPad1', colladaID: 'HorizontalPad1',
      x: 69.9999999999999, y: 0.0, z: 0.0,
      mapX: 69.9999999999999, rotZ: 0.0, platformID: 0}),
    new Arrow({
      name: 'Arrow1', colladaID: 'Arrow1',
      x: 24.8151490181853, y: -1.89670669278537, z: 68.75,
      mapX: 24.8151490181853, rotZ: 0.0, platformID: 17}),
    new Arrow({
      name: 'Arrow2', colladaID: 'Arrow2',
      x: 24.8151490181853, y: -1.89670669278537, z: 79.25,
      mapX: 24.8151490181853, rotZ: 0.0, platformID: 17}),
    new Arrow({
      name: 'Arrow3', colladaID: 'Arrow3',
      x: 24.8151490181853, y: -1.89670669278537, z: 92,
      mapX: 24.8151490181853, rotZ: 0.0, platformID: 17})]
});
